API referenceInboxes

Create an inbox

POST/inboxes

An address on a project domain with receiving enabled, by local part or full address.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/inboxes" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "address": "string",    "domain_id": "string"  }'
{  "object": "inbox",  "id": "string",  "name": "string",  "address": "string",  "domain_id": "string",  "status": "active",  "agent_settings": {    "property1": null,    "property2": null  },  "created_at": "2019-08-24T14:15:22Z"}